VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   2415
   ClientLeft      =   45
   ClientTop       =   45
   ClientWidth     =   2295
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2415
   ScaleWidth      =   2295
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   1680
      Width           =   1815
   End
   Begin VB.CommandButton cmdUnlockWorkstation 
      Caption         =   "Unlock Workstation"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   960
      Width           =   1815
   End
   Begin VB.CommandButton cmdLockWorkstation 
      Caption         =   "Lock Workstation"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function SystemParametersInfo Lib "user32" Alias "SystemParametersInfoA" (ByVal uAction As Long, ByVal uParam As Long, ByRef lpvParam As Any, ByVal fuWinIni As Long) As Long
Private Const SPI_SCREENSAVERRUNNING = 97

' Clip mouse Declarations
Private Type RECT
     Left As Long
     Top As Long
     Right As Long
     Bottom As Long
End Type
Private Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Private Declare Function ClipCursor Lib "user32" (lpRect As Any) As Long
Private Declare Function ClipCursorByNum Lib "user32" Alias "ClipCursor" (ByVal num As Long) As Long
Private Sub cmdExit_Click()
    Unload Me
End Sub

Private Sub cmdLockWorkstation_Click()
Dim window As RECT

    cmdLockWorkstation.Enabled = False
    cmdUnlockWorkstation.Enabled = True
    cmdExit.Enabled = False

    ' Restrict the mouse to this window.
    GetWindowRect hwnd, window
    ClipCursor window

    ' Tell the system a screen saver is running.
    SystemParametersInfo SPI_SCREENSAVERRUNNING, True, 0, 0
End Sub
Private Sub cmdUnlockWorkstation_Click()
    cmdLockWorkstation.Enabled = True
    cmdUnlockWorkstation.Enabled = False
    cmdExit.Enabled = True

    ' Free the mouse
    ClipCursorByNum 0&

    ' Tell the system no screen saver is running.
    SystemParametersInfo SPI_SCREENSAVERRUNNING, False, 0, 0
End Sub
Private Sub Form_Load()
    Move (Screen.Width - Width) / 2, (Screen.Height - Height) / 2
    cmdLockWorkstation.Enabled = True
    cmdUnlockWorkstation.Enabled = False
    cmdExit.Enabled = True
End Sub

Private Sub Form_Resize()
Const GAP = 60

Dim X As Single
Dim Y As Single

    X = (ScaleWidth - cmdLockWorkstation.Width) / 2
    Y = ScaleHeight / 2 - 1.5 * cmdLockWorkstation.Height - GAP
    cmdLockWorkstation.Move X, Y

    Y = Y + cmdLockWorkstation.Height + GAP
    cmdUnlockWorkstation.Move X, Y

    Y = Y + cmdLockWorkstation.Height + GAP
    cmdExit.Move X, Y
End Sub


Private Sub Form_Unload(Cancel As Integer)
    cmdUnlockWorkstation_Click
End Sub


